ImageWorsener 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1138509 漏洞类型 缓冲区错误
发布时间 2017-05-24 更新时间 2019-10-08
CVE编号 CVE-2017-9206 CNNVD-ID CNNVD-201705-1107
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201705-1107
|漏洞详情
ImageWorsener是一套图像缩放和处理实用程序。 ImageWorsener 1.3.1版本中的libimageworsener.a文件的imagew-util.c:405:23的‘iw_get_ui16le’函数存在安全漏洞。远程攻击者可借助特制的图像利用该漏洞造成拒绝服务(基于堆的缓冲区越边界读取)。
|参考资料

来源:MISC
链接:https://blogs.gentoo.org/ago/2017/05/20/imageworsener-multiple-vulnerabilities/
来源:MISC
链接:https://github.com/jsummers/imageworsener/commit/b45cb1b665a14b0175b9cb1502ef7168e1fe0d5d